/*
 *   This file was automatically generated by version 1.7 of cextract.
 *   Manual editing not recommended.

 */
#ifndef __CEXTRACT__

extern p3d_node* p3d_APInode_shoot ( p3d_graph *graphPt );
extern p3d_node** p3d_APInode_shoot_multisol(p3d_graph *graphPt, int* nbNodes);
extern p3d_node* p3d_APInode_shoot_nocolltest ( p3d_graph *graphPt );
extern p3d_node* p3d_APInode_make ( p3d_graph *graphPt, configPt q );
extern p3d_node* p3d_APInode_make_multisol ( p3d_graph *graphPt, configPt q, int *iksol );
extern int p3d_APInode_shoot_singularity(p3d_rob *rob, configPt* q, int *singNum, int *cntrtNum, configPt rootConfig, int * rootIkSol);
extern void p3d_APInode_shoot_normal(p3d_graph *graphPt, configPt* q, int shootPassive);
extern void p3d_APInode_desalloc ( p3d_graph *graphPt, p3d_node *nodePt );
extern int p3d_APInode_linked ( p3d_graph *graphPt, p3d_node *N1, p3d_node *N2, double *dist );
extern int p3d_APInode_linked_multisol ( p3d_graph *graphPt, p3d_node *N1, p3d_node *N2, double *dist );
extern double p3d_APInode_dist ( p3d_graph *graphPt, p3d_node *N1, p3d_node *N2 );
extern double p3d_APInode_dist_multisol ( p3d_graph *graphPt, p3d_node *N1, p3d_node *N2 );
extern int p3d_APInode_expand ( p3d_graph *graphPt, p3d_node *N, int (*fct_stop)(void), void (*fct_draw)(void) );
extern p3d_traj *p3d_graph_to_traj ( p3d_rob *robotPt );
extern void p3dAddTrajToGraph(p3d_rob* robot, p3d_graph* graph, p3d_traj* traj);
#endif /* __CEXTRACT__ */
